## Angular Debounce Input

Debounce user input's value. It works with `input`, `textarea`, any element supports `contenteditable` attribute

(https://stackblitz.com/edit/angular-debounce-input)[Demo]

### Usage: <br>

import `DebounceInputDirective` in your app module declarations.

`debounceInputConfig` input is optional
default value `{delay:300,  event: 'keyup'}`


```js
<input (debounceInput)="changeName($event)" [debounceInputConfig]="{delay:500, event:'keyup'}">

// or

<input (debounceInput)="changeName($event)">

```
